won't auto-select input when headset is plugged and selected in pop-up window

Bug #1885673 reported by Alex Tu on 2020-06-30
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OEM Priority Project
High
Unassigned
gnome-control-center (Ubuntu)
High
Unassigned
Focal
Undecided
Unassigned

Bug Description

[Impact]

 * audio input won't auto select and no pop-up dialog when headset is plugged

 * backporting fix gitlab_ucm_mixer_control_select.patch in groovy to focal.

[Test Case]

 * Using Tiger Lake platform
 * Step to reproduce:
   1. plug-in headset
   2. check g-c-c

   Expected result:
   audio input switch to headset mic.

   Actual result:
   audio input is not changed.

[Regression Potential]

 * the change corrupt the audio device selection, the audio input/output is not as expect

[Other Info]

 * a patch is there waiting for upstream review : https://gitlab.gnome.org/GNOME/libgnome-volume-control/-/merge_requests/10

 * Test pass after 'do-release-upgrade -d' on the Tiger Lake platform to groovy with gnome-control-center_1:3.36.4-1ubuntu1.

Alex Tu (alextu) on 2020-06-30
summary: - mixer-control: adding ucm port names for audio device selection
+ won't auto-select input when headset is plugged and selected in pop-up
+ window Edit
summary: won't auto-select input when headset is plugged and selected in pop-up
- window Edit
+ window
description: updated
tags: added: oem-priority originate-from-1882905 somerville
Changed in oem-priority:
importance: Undecided → Critical
importance: Critical → High
tags: added: originate-from-1875597
Hui Wang (hui.wang) wrote :

To fix this issue, there are 3 fixes for 3 different packages:

libgvc (no response from maintainer): https://gitlab.gnome.org/GNOME/libgnome-volume-control/-/merge_requests/10

pulseaudio (rejected by maintainer): https://gitlab.freedesktop.org/pulseaudio/pulseaudio/-/merge_requests/295

gnome-control-center (upstream provided and merged a fix): https://gitlab.gnome.org/GNOME/gnome-control-center/-/issues/1033

So only got the fix for gnome-control-center so far.

Sebastien Bacher (seb128) wrote :

Thanks, there is no point uploading only the gnome-control-center part for now right? We will keep an eye on the other merge requests, the pulseaudio discussion seems active though (you mentioned it was rejected but it seems not yet, or at least solution are being discussed?)

Changed in gnome-control-center (Ubuntu):
importance: Undecided → High
status: New → Triaged
Hui Wang (hui.wang) wrote :

It is a bit helpful on this bug if we could merge the fix of gnome-control-center first, without the fix of gcc, suppose users manually select the preferred input device, the system will not store user's selection, but after applying the fix of gcc, the system could store the user's selection.

So the fix of gcc could partially fix this bug (after freshly installing the OS, need users to manually select the input device once). After those all 3 fixes are merged, the auto selection could work out-of-box, no need the users manually to select anymore.

Sebastien Bacher (seb128) wrote :

@Hui, thanks, we also got confirmation on bug #1876267 that the g-c-c fix by itself helps. I've uploaded to the G-serie now and commit to the focal vcs for the new SRU upload

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-control-center - 1:3.36.3-1ubuntu2

---------------
gnome-control-center (1:3.36.3-1ubuntu2) groovy; urgency=medium

  * debian/patches/git-sound-profile.patch:
    - sound: Stop non-interactive profile changes from triggering
      changed events, fix selection issues (lp: #1885673)

 -- Sebastien Bacher <email address hidden> Thu, 02 Jul 2020 11:01:31 +0200

Changed in gnome-control-center (Ubuntu):
status: Triaged → Fix Released
Rex Tsai (chihchun) on 2020-07-07
Changed in oem-priority:
status: New → Fix Released
description: updated
description: updated
description: updated
Yuan-Chen Cheng (ycheng-twn) wrote :

If we still need to land in focal, shall we affect focal series for g-c-c?

Sebastien Bacher (seb128) wrote :

@Yuan, yes, it's fine to do but the SRU team usually create those when accepting the upload

Hello Alex, or anyone else affected,

Accepted gnome-control-center into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-control-center/1:3.36.4-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gnome-control-center (Ubuntu Focal):
status: New → Fix Committed
tags: added: verification-needed verification-needed-focal
Kai-Chuan Hsieh (kchsieh) wrote :

Test on Intel Tiger Lake platform CID:202004-27837

BIOS: 0.5.1
kernel: 5.6.0-1018-oem
gnome-control-center: 1:3.36.4-0ubuntu1
pulseaudio: 1:13.99.1-1ubuntu3.4
linux-firmware: 1.187.1.0.2 hui's ppa https://launchpad.net/~hui.wang/+archive/ubuntu/linux-firmware

1. add proposed update
2. $ sudo add-apt-repository ppa:hui.wang/linux-firmware
3. $ sudo apt install pulseaudio
4. $ sudo apt install gnome-control-center
5. $ sudo reboot

Test item:

internal speaker: okay
DMIC: okay
audio jack input: okay
audio jack output: okay
HDMI output: okay

tags: added: verification-done verification-done-focal
removed: verification-needed verification-needed-focal
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-control-center - 1:3.36.4-0ubuntu1

---------------
gnome-control-center (1:3.36.4-0ubuntu1) focal; urgency=medium

  [ Hui Wang ]
  * debian/patches/gitlab_ucm_mixer_control_select.patch:
    - consolidate port finding and setting with/without ucm (lp: #1885673)

  [ Marco Trevisan (Treviño) ]
  * New stable version (lp: #1886495)
  * Refresh patches:
    - d/p/0028-user-panel-Add-reference-to-selected-user-and-clear-.patch,
      d/p/0029-user-panel-Don-t-wait-for-fprintd-on-initialization.patch,
      d/p/0030-fingerprint-dialog-Don-t-use-sync-calls-for-deleting.patch,
      d/p/0031-fingerprint-dialog-Don-t-limit-the-number-of-maximum.patch,
      d/p/git-sound-profile.patch:
      + Removed, applied upstream
    - d/p/Revert-build-Bump-build-dependency-on-polkit.patch:
      + Removed, was a duplicated file for patch 0021.
  * user-accounts: Use newly designed fingerprint enroll dialog (LP: #1873298)

 -- Sebastien Bacher <email address hidden> Wed, 08 Jul 2020 17:03:08 +0200

Changed in gnome-control-center (Ubuntu Focal):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for gnome-control-center has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.